Typeform

Integrate your application with the Typeform API

🚀 Quickstart

Connect to Typeform with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Typeform.

Authorize Typeform

Go to Connections -> Add Test Connection -> Authorize, then log in to Typeform. Later, you'll let your users do the same directly from your app.

On Typeform's EU data center? See the connect guide for the extra host fields you'll need to enter.

Call the Typeform API

Let's make your first request to the Typeform API to list your forms. Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/forms" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our quickstart to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Typeform integration guides

Tenklo maintained guides for common use cases.

Official docs: Typeform developer docs

🧩 Pre-built syncs & actions for Typeform

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
create-formCreate a form.Action🔗 Github
create-imageRegister an image from a URL or base64 payload.Action🔗 Github
create-themeCreate a theme.Action🔗 Github
create-webhookCreate or update a webhook.Action🔗 Github
create-workspaceCreate a workspace.Action🔗 Github
delete-formDelete a form.Action🔗 Github
delete-imageDelete an image.Action🔗 Github
delete-responsesBulk-delete one or more form responses.Action🔗 Github
delete-themeDelete a theme.Action🔗 Github
delete-webhookDelete a webhook.Action🔗 Github
delete-workspaceDelete a workspace.Action🔗 Github
get-formRetrieve a form.Action🔗 Github
get-imageRetrieve image metadataAction🔗 Github
get-themeRetrieve a theme.Action🔗 Github
get-webhookRetrieve a single webhook by tag for a Typeform form.Action🔗 Github
get-workspaceRetrieve a workspace.Action🔗 Github
list-formsList forms.Action🔗 Github
list-imagesList images.Action🔗 Github
list-responsesList form responses.Action🔗 Github
list-themesList themes.Action🔗 Github
list-webhooksList webhooksAction🔗 Github
list-workspacesList workspaces.Action🔗 Github
patch-formPartially update a form using JSON Patch operationsAction🔗 Github
update-formFully replace a form (whole-definition update).Action🔗 Github
update-themePartially update a themeAction🔗 Github
update-workspacePartially update a workspace using JSON Patch operationsAction🔗 Github
formsSync forms.Sync🔗 Github
imagesSync image metadata.Sync🔗 Github
responsesSync responses.Sync🔗 Github
themesSync themes.Sync🔗 Github
webhooksSync webhooks.Sync🔗 Github
workspacesSync workspaces.Sync🔗 Github

On this page